
#pragma once

enum
{
	OSRT_SCREEN=0,
	OSRT_LIGHTING,
	NUM_OSRTS
};

// Off-Screen Render Target
struct OSRT
{	
	SDL_RenderTarget *pSDLRenderTarget;			// If null, it's the screen
	GLuint			  nTexID;	
	int				  nWidth;					// Width and height being used
	int				  nHeight;
	int               nWidthP2;					// Actual width+height (power of 2)
	int               nHeightP2;
	float			  u1,v1;					// Tex coords for top right of used area
};



void  GL_SetVideoMode(int w,int h,int flags);
void  GL_SetViewport(int x,int y,int w,int h,bool bOrtho);

void  GL_CreateRenderTargets(void);
void  GL_BindRenderTarget(int nTarget);
void  GL_BindRenderTargetAsTexture(int nTarget);

void  GL_PrintText(char *string, float x,float y,int nFont);
void  GL_CreateFonts(void);
