
#pragma once



enum
{
	STATE_TITLE,
	STATE_LEVELINTRO,
	STATE_ACTIVE,
	STATE_LEVELOUTRO
};

enum
{
	SFX_JUMP,
	SFX_LAND,
	SFX_IMPACT,
	SFX_SHOOT,
	SFX_EXPLODE
};

class CGame
{
	public:		
		void LoadTextures(void);
		void Init(void);
		void Process(void);
		void Deinit(void);

		void RenderLight(LIGHT *pLight);
		void AddEntity(Entity *pE);


		void NewGame();
		void InitLevel();
		int  nLevel;
		int  nLives;
		int  nKills;
		int  nEnemies;
		int  nScore;
		int  nState;
		float fStateTimer;

		Sprite sprBullet;
	

		void RenderMap(bool boTopLayer);
		void RenderLights();

		void UpdateEntities(void);
		void RenderEntityLights(void);
		void RenderEntities(void);

		void InitEntities(void);		
		void ResetEntities(void);

		Sprite sprPlayer[64],sprTurret;
		
		Sprite sprFloater[64];
		Sprite sprCrawler[64];
		Sprite sprRoller[64];

		Sprite sprPtlLight,sprExplode;

		Sprite sprCeilLight;
		Sprite sprSpinLight;

		Entity *pEntities[MAX_ENTITIES];

		Player *pPlr;

		float fScrollX,fScrollY;

};

